# PhasicFlow: src/phasicFlow/containers/triSurfaceField/triSurfaceFields.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

triSurfaceFields.hpp File Reference
Include dependency graph for triSurfaceFields.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Typedefs

using | uint32TriSurfaceField_D = triSurfaceField< uint32 >
using | uint32TriSurfaceField_H = triSurfaceField< uint32, HostSpace >
using | realTriSurfaceField_D = triSurfaceField< real >
using | realTriSurfaceField_H = triSurfaceField< real, HostSpace >
using | realx3TriSurfaceField_D = triSurfaceField< realx3 >
using | realx3TriSurfaceField_H = triSurfaceField< realx3, HostSpace >